#include<stdio.h>
#define MAX 20000
int karta(int karte[MAX], int N, int K);
int main()
{
    int N, K;
    int karte[MAX];
    scanf("%d %d", &N, &K);
    for(int i = 0; i < N; i++)
    {
        scanf("%d", &karte[i]);
    }
    printf("%d", karta(karte, N, K));
}
int karta(int karte[MAX], int N, int K)
{
    for(int i = 0; i < N; i++)
    {
        if(karte[i] == K)
        {
            if(i == N - 1)
            {
                return karte[0];
            }
            else
            {
                return karte[i + 1];
            }
        }
    }
}